package Package1;

import java.awt.*;
import javax.swing.*;
import java.awt.Color;

public class Checkerboard extends JFrame {

    private int ROWS = 8;
    private int COLS = 8;
    private JPanel[] panel = new JPanel[ROWS * COLS];
    private Color color1 = Color.WHITE;
    private Color color2 = Color.BLACK;

    public Checkerboard() {
        super("Checkerboard");
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setLayout(new GridLayout(ROWS, COLS));
        for (int x = 0; x < COLS; x++)
            for (int y = 0; y < ROWS; y++) {
                int i = x * COLS + y;
                panel[i] = new JPanel();
                panel[i].setLocation(10, 10);
                add(panel[i]);
                if ((x + y) % 2 == 1)
                    panel[i].setBackground(color1);
                else
                    panel[i].setBackground(color2);
            }
    }

    public static void main(String[] args) {
        Checkerboard frame = new Checkerboard();
        frame.setSize(300, 300);
        frame.setVisible(true);
    }
}